# Command Reference

List of released CLI commands available in openstack client. These commands can be referenced by doing `openstack help baremetal`.

## baremetal allocation

### baremetal allocation create

Create a new baremetal allocation.

    openstack baremetal allocation create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--resource-class RESOURCE_CLASS]
        [--trait TRAITS]
        [--candidate-node CANDIDATE_NODES]
        [--name NAME]
        [--uuid UUID]
        [--owner OWNER]
        [--extra <key=value>]
        [--wait [<time-out>]]
        [--node NODE]

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--resource-class``<RESOURCE_CLASS>`

  Resource class to request.

`--trait``<TRAITS>`

  A trait to request. Can be specified multiple times.

`--candidate-node``<CANDIDATE_NODES>`

  A candidate node for this allocation. Can be specified multiple times. If at least one is specified, only the provided candidate nodes are considered for the allocation.

`--name``<NAME>`

  Unique name of the allocation.

`--uuid``<UUID>`

  UUID of the allocation.

`--owner``<OWNER>`

  Owner of the allocation.

`--extra``<key=value>`

  Record arbitrary key/value metadata. Can be specified multiple times.

`--wait``<time-out>`

  Wait for the new allocation to become active. An error is returned if allocation fails and –wait is used. Optionally takes a timeout value (in seconds). The default value is 0, meaning it will wait indefinitely.

`--node``<NODE>`

  Backfill this allocation from the provided node that has already been deployed. Bypasses the normal allocation process.

This command is provided by the python-ironicclient plugin.

### baremetal allocation delete

Unregister baremetal allocation(s).

    openstack baremetal allocation delete <allocation> [<allocation> ...]

`allocation```

  Allocations(s) to delete (name or UUID).

This command is provided by the python-ironicclient plugin.

### baremetal allocation list

List baremetal allocations.

    openstack baremetal allocation list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--limit <limit>]
        [--marker <allocation>]
        [--sort <key>[:<direction>]]
        [--node <node>]
        [--resource-class <resource_class>]
        [--state <state>]
        [--owner <owner>]
        [--long | --fields <field> [<field> ...]]

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--quote``<QUOTE_MODE>`

  when to include quotes, defaults to nonnumeric

`--noindent```

  whether to disable indenting the JSON

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--sort-column` `SORT_COLUMN`

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

`--limit``<limit>`

  Maximum number of allocations to return per request, 0 for no limit. Default is the maximum number used by the Baremetal API Service.

`--marker``<allocation>`

  Allocation UUID (for example, of the last allocation in the list from a previous request). Returns the list of allocations after this UUID.

`--sort``<key>[:<direction>]`

  Sort output by specified allocation fields and directions (asc or desc) (default: asc). Multiple fields and directions can be specified, separated by comma.

`--node``<node>`

  Only list allocations of this node (name or UUID).

`--resource-class``<resource_class>`

  Only list allocations with this resource class.

`--state``<state>`

  Only list allocations in this state.

`--owner``<owner>`

  Only list allocations with this owner.

`--long```

  Show detailed information about the allocations.

`--fields``<field>`

  One or more allocation fields. Only these fields will be fetched from the server. Can not be used when ‘–long’ is specified.

This command is provided by the python-ironicclient plugin.

### baremetal allocation set

Set baremetal allocation properties.

    openstack baremetal allocation set
        [--name <name>]
        [--extra <key=value>]
        <allocation>

`--name``<name>`

  Set the name of the allocation

`--extra``<key=value>`

  Extra property to set on this allocation (repeat option to set multiple extra properties)

`allocation```

  Name or UUID of the allocation

This command is provided by the python-ironicclient plugin.

### baremetal allocation show

Show baremetal allocation details.

    openstack baremetal allocation show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--fields <field> [<field> ...]]
        <id>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--fields``<field>`

  One or more allocation fields. Only these fields will be fetched from the server.

`id```

  UUID or name of the allocation

This command is provided by the python-ironicclient plugin.

### baremetal allocation unset

Unset baremetal allocation properties.

    openstack baremetal allocation unset
        [--name]
        [--extra <key>]
        <allocation>

`--name```

  Unset the name of the allocation

`--extra``<key>`

  Extra property to unset on this baremetal allocation (repeat option to unset multiple extra property).

`allocation```

  Name or UUID of the allocation

This command is provided by the python-ironicclient plugin.

## baremetal chassis

### baremetal chassis create

Create a new chassis.

    openstack baremetal chassis create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--description <description>]
        [--extra <key=value>]
        [--uuid <uuid>]

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--description``<description>`

  Description for the chassis

`--extra``<key=value>`

  Record arbitrary key/value metadata. Can be specified multiple times.

`--uuid``<uuid>`

  Unique UUID of the chassis

This command is provided by the python-ironicclient plugin.

### baremetal chassis delete

Delete a chassis.

    openstack baremetal chassis delete <chassis> [<chassis> ...]

`chassis```

  UUIDs of chassis to delete

This command is provided by the python-ironicclient plugin.

### baremetal chassis list

List the chassis.

    openstack baremetal chassis list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--fields <field> [<field> ...]]
        [--limit <limit>]
        [--long]
        [--marker <chassis>]
        [--sort <key>[:<direction>]]

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--quote``<QUOTE_MODE>`

  when to include quotes, defaults to nonnumeric

`--noindent```

  whether to disable indenting the JSON

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--sort-column` `SORT_COLUMN`

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

`--fields``<field>`

  One or more chassis fields. Only these fields will be fetched from the server. Cannot be used when ‘–long’ is specified.

`--limit``<limit>`

  Maximum number of chassis to return per request, 0 for no limit. Default is the maximum number used by the Baremetal API Service.

`--long```

  Show detailed information about the chassis

`--marker``<chassis>`

  Chassis UUID (for example, of the last chassis in the list from a previous request). Returns the list of chassis after this UUID.

`--sort``<key>[:<direction>]`

  Sort output by specified chassis fields and directions (asc or desc) (default: asc). Multiple fields and directions can be specified, separated by comma.

This command is provided by the python-ironicclient plugin.

### baremetal chassis set

Set chassis properties.

    openstack baremetal chassis set
        [--description <description>]
        [--extra <key=value>]
        <chassis>

`--description``<description>`

  Set the description of the chassis

`--extra``<key=value>`

  Extra to set on this chassis (repeat option to set multiple extras)

`chassis```

  UUID of the chassis

This command is provided by the python-ironicclient plugin.

### baremetal chassis show

Show chassis details.

    openstack baremetal chassis show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--fields <field> [<field> ...]]
        <chassis>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--fields``<field>`

  One or more chassis fields. Only these fields will be fetched from the server.

`chassis```

  UUID of the chassis

This command is provided by the python-ironicclient plugin.

### baremetal chassis unset

Unset chassis properties.

    openstack baremetal chassis unset
        [--description]
        [--extra <key>]
        <chassis>

`--description```

  Clear the chassis description

`--extra``<key>`

  Extra to unset on this chassis (repeat option to unset multiple extras)

`chassis```

  UUID of the chassis

This command is provided by the python-ironicclient plugin.

## baremetal create

Create resources from files

    openstack baremetal create <file> [<file> ...]

`file```

  File (.yaml or .json) containing descriptions of the resources to create. Can be specified multiple times.

This command is provided by the python-ironicclient plugin.

## baremetal driver

### baremetal driver list

List the enabled drivers.

    openstack baremetal driver list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--type <type>]
        [--long]

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--quote``<QUOTE_MODE>`

  when to include quotes, defaults to nonnumeric

`--noindent```

  whether to disable indenting the JSON

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--sort-column` `SORT_COLUMN`

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

`--type``<type>`

  Type of driver (“classic” or “dynamic”). The default is to list all of them.

`--long```

  Show detailed information about the drivers.

This command is provided by the python-ironicclient plugin.

### baremetal driver passthru call

Call a vendor passthru method for a driver.

    openstack baremetal driver passthru call
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--arg <key=value>]
        [--http-method <http-method>]
        <driver>
        <method>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--arg``<key=value>`

  Argument to pass to the passthru method (repeat option to specify multiple arguments).

`--http-method``<http-method>`

  The HTTP method to use in the passthru request. One of DELETE, GET, PATCH, POST, PUT. Defaults to ‘POST’.

`driver```

  Name of the driver.

`method```

  Vendor passthru method to be called.

This command is provided by the python-ironicclient plugin.

### baremetal driver passthru list

List available vendor passthru methods for a driver.

    openstack baremetal driver passthru list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        <driver>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--quote``<QUOTE_MODE>`

  when to include quotes, defaults to nonnumeric

`--noindent```

  whether to disable indenting the JSON

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--sort-column` `SORT_COLUMN`

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

`driver```

  Name of the driver.

This command is provided by the python-ironicclient plugin.

### baremetal driver property list

List the driver properties.

    openstack baremetal driver property list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        <driver>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--quote``<QUOTE_MODE>`

  when to include quotes, defaults to nonnumeric

`--noindent```

  whether to disable indenting the JSON

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--sort-column` `SORT_COLUMN`

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

`driver```

  Name of the driver.

This command is provided by the python-ironicclient plugin.

### baremetal driver raid property list

List a driver’s RAID logical disk properties.

    openstack baremetal driver raid property list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        <driver>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--quote``<QUOTE_MODE>`

  when to include quotes, defaults to nonnumeric

`--noindent```

  whether to disable indenting the JSON

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--sort-column` `SORT_COLUMN`

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

`driver```

  Name of the driver.

This command is provided by the python-ironicclient plugin.

### baremetal driver show

Show information about a driver.

    openstack baremetal driver show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <driver>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`driver```

  Name of the driver.

This command is provided by the python-ironicclient plugin.

## baremetal node

### baremetal node abort

Set provision state of baremetal node to ‘abort’

    openstack baremetal node abort <node>

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node add trait

Add traits to a node.

    openstack baremetal node add trait <node> <trait> [<trait> ...]

`node```

  Name or UUID of the node

`trait```

  Trait(s) to add

This command is provided by the python-ironicclient plugin.

### baremetal node adopt

Set provision state of baremetal node to ‘adopt’

    openstack baremetal node adopt [--wait [<time-out>]] <node>

`--wait``<time-out>`

  Wait for a node to reach the desired state, active. Optionally takes a timeout value (in seconds). The default value is 0, meaning it will wait indefinitely.

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node bios setting list

List a node’s BIOS settings.

    openstack baremetal node bios setting list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        <node>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--quote``<QUOTE_MODE>`

  when to include quotes, defaults to nonnumeric

`--noindent```

  whether to disable indenting the JSON

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--sort-column` `SORT_COLUMN`

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

`node```

  Name or UUID of the node

This command is provided by the python-ironicclient plugin.

### baremetal node bios setting show

Show a specific BIOS setting for a node.

    openstack baremetal node bios setting show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <node>
        <setting
        name>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`node```

  Name or UUID of the node

`setting` `name`

  Setting name to show

This command is provided by the python-ironicclient plugin.

### baremetal node boot device set

Set the boot device for a node

    openstack baremetal node boot device set [--persistent] <node> <device>

`--persistent```

  Make changes persistent for all future boots

`node```

  Name or UUID of the node

`device```

  One of bios, cdrom, disk, pxe, safe, wanboot

This command is provided by the python-ironicclient plugin.

### baremetal node boot device show

Show the boot device information for a node

    openstack baremetal node boot device show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--supported]
        <node>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--supported```

  Show the supported boot devices

`node```

  Name or UUID of the node

This command is provided by the python-ironicclient plugin.

### baremetal node clean

Set provision state of baremetal node to ‘clean’

    openstack baremetal node clean
        [--wait [<time-out>]]
        --clean-steps <clean-steps>
        <node>

`--wait``<time-out>`

  Wait for a node to reach the desired state, manageable. Optionally takes a timeout value (in seconds). The default value is 0, meaning it will wait indefinitely.

`--clean-steps``<clean-steps>`

  The clean steps in JSON format. May be the path to a file containing the clean steps; OR ‘-‘, with the clean steps being read from standard input; OR a string. The value should be a list of clean-step dictionaries; each dictionary should have keys ‘interface’ and ‘step’, and optional key ‘args’.

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node console disable

Disable console access for a node

    openstack baremetal node console disable <node>

`node```

  Name or UUID of the node

This command is provided by the python-ironicclient plugin.

### baremetal node console enable

Enable console access for a node

    openstack baremetal node console enable <node>

`node```

  Name or UUID of the node

This command is provided by the python-ironicclient plugin.

### baremetal node console show

Show console information for a node

    openstack baremetal node console show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <node>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`node```

  Name or UUID of the node

This command is provided by the python-ironicclient plugin.

### baremetal node create

Register a new node with the baremetal service

    openstack baremetal node create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--chassis-uuid <chassis>]
        --driver <driver>
        [--driver-info <key=value>]
        [--property <key=value>]
        [--extra <key=value>]
        [--uuid <uuid>]
        [--name <name>]
        [--bios-interface <bios_interface>]
        [--boot-interface <boot_interface>]
        [--console-interface <console_interface>]
        [--deploy-interface <deploy_interface>]
        [--inspect-interface <inspect_interface>]
        [--management-interface <management_interface>]
        [--network-interface <network_interface>]
        [--power-interface <power_interface>]
        [--raid-interface <raid_interface>]
        [--rescue-interface <rescue_interface>]
        [--storage-interface <storage_interface>]
        [--vendor-interface <vendor_interface>]
        [--resource-class <resource_class>]
        [--conductor-group <conductor_group>]
        [--automated-clean]
        [--owner <owner>]
        [--lessee <lessee>]
        [--description <description>]

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--chassis-uuid``<chassis>`

  UUID of the chassis that this node belongs to.

`--driver``<driver>`

  Driver used to control the node [REQUIRED].

`--driver-info``<key=value>`

  Key/value pair used by the driver, such as out-of-band management credentials. Can be specified multiple times.

`--property``<key=value>`

  Key/value pair describing the physical characteristics of the node. This is exported to Nova and used by the scheduler. Can be specified multiple times.

`--extra``<key=value>`

  Record arbitrary key/value metadata. Can be specified multiple times.

`--uuid``<uuid>`

  Unique UUID for the node.

`--name``<name>`

  Unique name for the node.

`--bios-interface``<bios_interface>`

  BIOS interface used by the node’s driver. This is only applicable when the specified –driver is a hardware type.

`--boot-interface``<boot_interface>`

  Boot interface used by the node’s driver. This is only applicable when the specified –driver is a hardware type.

`--console-interface``<console_interface>`

  Console interface used by the node’s driver. This is only applicable when the specified –driver is a hardware type.

`--deploy-interface``<deploy_interface>`

  Deploy interface used by the node’s driver. This is only applicable when the specified –driver is a hardware type.

`--inspect-interface``<inspect_interface>`

  Inspect interface used by the node’s driver. This is only applicable when the specified –driver is a hardware type.

`--management-interface``<management_interface>`

  Management interface used by the node’s driver. This is only applicable when the specified –driver is a hardware type.

`--network-interface``<network_interface>`

  Network interface used for switching node to cleaning/provisioning networks.

`--power-interface``<power_interface>`

  Power interface used by the node’s driver. This is only applicable when the specified –driver is a hardware type.

`--raid-interface``<raid_interface>`

  RAID interface used by the node’s driver. This is only applicable when the specified –driver is a hardware type.

`--rescue-interface``<rescue_interface>`

  Rescue interface used by the node’s driver. This is only applicable when the specified –driver is a hardware type.

`--storage-interface``<storage_interface>`

  Storage interface used by the node’s driver.

`--vendor-interface``<vendor_interface>`

  Vendor interface used by the node’s driver. This is only applicable when the specified –driver is a hardware type.

`--resource-class``<resource_class>`

  Resource class for mapping nodes to Nova flavors

`--conductor-group``<conductor_group>`

  Conductor group the node will belong to

`--automated-clean```

  Enable automated cleaning for the node

`--owner``<owner>`

  Owner of the node.

`--lessee``<lessee>`

  Lessee of the node.

`--description``<description>`

  Description for the node.

This command is provided by the python-ironicclient plugin.

### baremetal node delete

Unregister baremetal node(s)

    openstack baremetal node delete <node> [<node> ...]

`node```

  Node(s) to delete (name or UUID)

This command is provided by the python-ironicclient plugin.

### baremetal node deploy

Set provision state of baremetal node to ‘deploy’

    openstack baremetal node deploy
        [--wait [<time-out>]]
        [--config-drive <config-drive>]
        <node>

`--wait``<time-out>`

  Wait for a node to reach the desired state, active. Optionally takes a timeout value (in seconds). The default value is 0, meaning it will wait indefinitely.

`--config-drive``<config-drive>`

  A gzipped, base64-encoded configuration drive string OR the path to the configuration drive file OR the path to a directory containing the config drive files OR a JSON object to build config drive from. In case it’s a directory, a config drive will be generated from it. In case it’s a JSON object with optional keys meta_data, user_data and network_data, a config drive will be generated on the server side (see the bare metal API reference for more details).

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node inject nmi

Inject NMI to baremetal node

    openstack baremetal node inject nmi <node>

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node inspect

Set provision state of baremetal node to ‘inspect’

    openstack baremetal node inspect [--wait [<time-out>]] <node>

`--wait``<time-out>`

  Wait for a node to reach the desired state, manageable. Optionally takes a timeout value (in seconds). The default value is 0, meaning it will wait indefinitely.

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node list

List baremetal nodes

    openstack baremetal node list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--limit <limit>]
        [--marker <node>]
        [--sort <key>[:<direction>]]
        [--maintenance | --no-maintenance]
        [--retired | --no-retired]
        [--fault <fault>]
        [--associated | --unassociated]
        [--provision-state <provision state>]
        [--driver <driver>]
        [--resource-class <resource class>]
        [--conductor-group <conductor_group>]
        [--conductor <conductor>]
        [--chassis <chassis UUID>]
        [--owner <owner>]
        [--lessee <lessee>]
        [--description-contains <description_contains>]
        [--long | --fields <field> [<field> ...]]

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--quote``<QUOTE_MODE>`

  when to include quotes, defaults to nonnumeric

`--noindent```

  whether to disable indenting the JSON

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--sort-column` `SORT_COLUMN`

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

`--limit``<limit>`

  Maximum number of nodes to return per request, 0 for no limit. Default is the maximum number used by the Baremetal API Service.

`--marker``<node>`

  Node UUID (for example, of the last node in the list from a previous request). Returns the list of nodes after this UUID.

`--sort``<key>[:<direction>]`

  Sort output by specified node fields and directions (asc or desc) (default: asc). Multiple fields and directions can be specified, separated by comma.

`--maintenance```

  Limit list to nodes in maintenance mode

`--no-maintenance```

  Limit list to nodes not in maintenance mode

`--retired```

  Limit list to retired nodes.

`--no-retired```

  Limit list to not retired nodes.

`--fault``<fault>`

  List nodes in specified fault.

`--associated```

  List only nodes associated with an instance.

`--unassociated```

  List only nodes not associated with an instance.

`--provision-state``<provision state>`

  List nodes in specified provision state.

`--driver``<driver>`

  Limit list to nodes with driver <driver>

`--resource-class``<resource class>`

  Limit list to nodes with resource class <resource class>

`--conductor-group``<conductor_group>`

  Limit list to nodes with conductor group <conductor group>

`--conductor``<conductor>`

  Limit list to nodes with conductor <conductor>

`--chassis``<chassis UUID>`

  Limit list to nodes of this chassis

`--owner``<owner>`

  Limit list to nodes with owner <owner>

`--lessee``<lessee>`

  Limit list to nodes with lessee <lessee>

`--description-contains``<description_contains>`

  Limit list to nodes with description contains <description_contains>

`--long```

  Show detailed information about the nodes.

`--fields``<field>`

  One or more node fields. Only these fields will be fetched from the server. Can not be used when ‘–long’ is specified.

This command is provided by the python-ironicclient plugin.

### baremetal node maintenance set

Set baremetal node to maintenance mode

    openstack baremetal node maintenance set [--reason <reason>] <node>

`--reason``<reason>`

  Reason for setting maintenance mode.

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node maintenance unset

Unset baremetal node from maintenance mode

    openstack baremetal node maintenance unset <node>

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node manage

Set provision state of baremetal node to ‘manage’

    openstack baremetal node manage [--wait [<time-out>]] <node>

`--wait``<time-out>`

  Wait for a node to reach the desired state, manageable. Optionally takes a timeout value (in seconds). The default value is 0, meaning it will wait indefinitely.

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node passthru call

Call a vendor passthu method for a node

    openstack baremetal node passthru call
        [--arg <key=value>]
        [--http-method <http-method>]
        <node>
        <method>

`--arg``<key=value>`

  Argument to pass to the passthru method (repeat option to specify multiple arguments)

`--http-method``<http-method>`

  The HTTP method to use in the passthru request. One of DELETE, GET, PATCH, POST, PUT. Defaults to POST.

`node```

  Name or UUID of the node

`method```

  Vendor passthru method to be executed

This command is provided by the python-ironicclient plugin.

### baremetal node passthru list

List vendor passthru methods for a node

    openstack baremetal node passthru list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        <node>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--quote``<QUOTE_MODE>`

  when to include quotes, defaults to nonnumeric

`--noindent```

  whether to disable indenting the JSON

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--sort-column` `SORT_COLUMN`

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

`node```

  Name or UUID of the node

This command is provided by the python-ironicclient plugin.

### baremetal node power off

Power off a node

    openstack baremetal node power off
        [--power-timeout <power-timeout>]
        [--soft]
        <node>

`--power-timeout``<power-timeout>`

  Timeout (in seconds, positive integer) to wait for the target power state before erroring out.

`--soft```

  Request graceful power-off.

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node power on

Power on a node

    openstack baremetal node power on
        [--power-timeout <power-timeout>]
        <node>

`--power-timeout``<power-timeout>`

  Timeout (in seconds, positive integer) to wait for the target power state before erroring out.

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node provide

Set provision state of baremetal node to ‘provide’

    openstack baremetal node provide [--wait [<time-out>]] <node>

`--wait``<time-out>`

  Wait for a node to reach the desired state, available. Optionally takes a timeout value (in seconds). The default value is 0, meaning it will wait indefinitely.

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node reboot

Reboot baremetal node

    openstack baremetal node reboot
        [--soft]
        [--power-timeout <power-timeout>]
        <node>

`--soft```

  Request Graceful reboot.

`--power-timeout``<power-timeout>`

  Timeout (in seconds, positive integer) to wait for the target power state before erroring out.

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node rebuild

Set provision state of baremetal node to ‘rebuild’

    openstack baremetal node rebuild
        [--wait [<time-out>]]
        [--config-drive <config-drive>]
        <node>

`--wait``<time-out>`

  Wait for a node to reach the desired state, active. Optionally takes a timeout value (in seconds). The default value is 0, meaning it will wait indefinitely.

`--config-drive``<config-drive>`

  A gzipped, base64-encoded configuration drive string OR the path to the configuration drive file OR the path to a directory containing the config drive files OR a JSON object to build config drive from. In case it’s a directory, a config drive will be generated from it. In case it’s a JSON object with optional keys meta_data, user_data and network_data, a config drive will be generated on the server side (see the bare metal API reference for more details).

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node remove trait

Remove trait(s) from a node.

    openstack baremetal node remove trait
        [--all]
        <node>
        [<trait> [<trait> ...]]

`--all```

  Remove all traits

`node```

  Name or UUID of the node

`trait```

  Trait(s) to remove

This command is provided by the python-ironicclient plugin.

### baremetal node rescue

Set provision state of baremetal node to ‘rescue’

    openstack baremetal node rescue
        [--wait [<time-out>]]
        --rescue-password <rescue-password>
        <node>

`--wait``<time-out>`

  Wait for a node to reach the desired state, rescue. Optionally takes a timeout value (in seconds). The default value is 0, meaning it will wait indefinitely.

`--rescue-password``<rescue-password>`

  The password that will be used to login to the rescue ramdisk. The value should be a non-empty string.

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node set

Set baremetal properties

    openstack baremetal node set
        [--instance-uuid <uuid>]
        [--name <name>]
        [--chassis-uuid <chassis UUID>]
        [--driver <driver>]
        [--bios-interface <bios_interface> | --reset-bios-interface]
        [--boot-interface <boot_interface> | --reset-boot-interface]
        [--console-interface <console_interface> | --reset-console-interface]
        [--deploy-interface <deploy_interface> | --reset-deploy-interface]
        [--inspect-interface <inspect_interface> | --reset-inspect-interface]
        [--management-interface <management_interface> | --reset-management-interface]
        [--network-interface <network_interface> | --reset-network-interface]
        [--power-interface <power_interface> | --reset-power-interface]
        [--raid-interface <raid_interface> | --reset-raid-interface]
        [--rescue-interface <rescue_interface> | --reset-rescue-interface]
        [--storage-interface <storage_interface> | --reset-storage-interface]
        [--vendor-interface <vendor_interface> | --reset-vendor-interface]
        [--reset-interfaces]
        [--resource-class <resource_class>]
        [--conductor-group <conductor_group>]
        [--automated-clean]
        [--protected]
        [--protected-reason <protected_reason>]
        [--retired]
        [--retired-reason <retired_reason>]
        [--target-raid-config <target_raid_config>]
        [--property <key=value>]
        [--extra <key=value>]
        [--driver-info <key=value>]
        [--instance-info <key=value>]
        [--owner <owner>]
        [--lessee <lessee>]
        [--description <description>]
        <node>

`--instance-uuid``<uuid>`

  Set instance UUID of node to <uuid>

`--name``<name>`

  Set the name of the node

`--chassis-uuid``<chassis UUID>`

  Set the chassis for the node

`--driver``<driver>`

  Set the driver for the node

`--bios-interface``<bios_interface>`

  Set the BIOS interface for the node

`--reset-bios-interface```

  Reset the BIOS interface to its hardware type default

`--boot-interface``<boot_interface>`

  Set the boot interface for the node

`--reset-boot-interface```

  Reset the boot interface to its hardware type default

`--console-interface``<console_interface>`

  Set the console interface for the node

`--reset-console-interface```

  Reset the console interface to its hardware type default

`--deploy-interface``<deploy_interface>`

  Set the deploy interface for the node

`--reset-deploy-interface```

  Reset the deploy interface to its hardware type default

`--inspect-interface``<inspect_interface>`

  Set the inspect interface for the node

`--reset-inspect-interface```

  Reset the inspect interface to its hardware type default

`--management-interface``<management_interface>`

  Set the management interface for the node

`--reset-management-interface```

  Reset the management interface to its hardware type default

`--network-interface``<network_interface>`

  Set the network interface for the node

`--reset-network-interface```

  Reset the network interface to its hardware type default

`--power-interface``<power_interface>`

  Set the power interface for the node

`--reset-power-interface```

  Reset the power interface to its hardware type default

`--raid-interface``<raid_interface>`

  Set the RAID interface for the node

`--reset-raid-interface```

  Reset the RAID interface to its hardware type default

`--rescue-interface``<rescue_interface>`

  Set the rescue interface for the node

`--reset-rescue-interface```

  Reset the rescue interface to its hardware type default

`--storage-interface``<storage_interface>`

  Set the storage interface for the node

`--reset-storage-interface```

  Reset the storage interface to its hardware type default

`--vendor-interface``<vendor_interface>`

  Set the vendor interface for the node

`--reset-vendor-interface```

  Reset the vendor interface to its hardware type default

`--reset-interfaces```

  Reset all interfaces not specified explicitly to their default implementations. Only valid with –driver.

`--resource-class``<resource_class>`

  Set the resource class for the node

`--conductor-group``<conductor_group>`

  Set the conductor group for the node

`--automated-clean```

  Enable automated cleaning for the node

`--protected```

  Mark the node as protected

`--protected-reason``<protected_reason>`

  Set the reason of marking the node as protected

`--retired```

  Mark the node as retired

`--retired-reason``<retired_reason>`

  Set the reason of marking the node as retired

`--target-raid-config``<target_raid_config>`

  Set the target RAID configuration (JSON) for the node. This can be one of: 1. a file containing JSON data of the RAID configuration; 2. “-” to read the contents from standard input; or 3. a valid JSON string.

`--property``<key=value>`

  Property to set on this baremetal node (repeat option to set multiple properties)

`--extra``<key=value>`

  Extra to set on this baremetal node (repeat option to set multiple extras)

`--driver-info``<key=value>`

  Driver information to set on this baremetal node (repeat option to set multiple driver infos)

`--instance-info``<key=value>`

  Instance information to set on this baremetal node (repeat option to set multiple instance infos)

`--owner``<owner>`

  Set the owner for the node

`--lessee``<lessee>`

  Set the lessee for the node

`--description``<description>`

  Set the description for the node

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node show

Show baremetal node details

    openstack baremetal node show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--instance]
        [--fields <field> [<field> ...]]
        <node>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--instance```

  <node> is an instance UUID.

`--fields``<field>`

  One or more node fields. Only these fields will be fetched from the server.

`node```

  Name or UUID of the node (or instance UUID if –instance is specified)

This command is provided by the python-ironicclient plugin.

### baremetal node trait list

List a node’s traits.

    openstack baremetal node trait list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        <node>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--quote``<QUOTE_MODE>`

  when to include quotes, defaults to nonnumeric

`--noindent```

  whether to disable indenting the JSON

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--sort-column` `SORT_COLUMN`

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

`node```

  Name or UUID of the node

This command is provided by the python-ironicclient plugin.

### baremetal node undeploy

Set provision state of baremetal node to ‘deleted’

    openstack baremetal node undeploy [--wait [<time-out>]] <node>

`--wait``<time-out>`

  Wait for a node to reach the desired state, available. Optionally takes a timeout value (in seconds). The default value is 0, meaning it will wait indefinitely.

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node unrescue

Set provision state of baremetal node to ‘unrescue’

    openstack baremetal node unrescue [--wait [<time-out>]] <node>

`--wait``<time-out>`

  Wait for a node to reach the desired state, active. Optionally takes a timeout value (in seconds). The default value is 0, meaning it will wait indefinitely.

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node unset

Unset baremetal properties

    openstack baremetal node unset
        [--instance-uuid]
        [--name]
        [--resource-class]
        [--target-raid-config]
        [--property <key>]
        [--extra <key>]
        [--driver-info <key>]
        [--instance-info <key>]
        [--chassis-uuid]
        [--bios-interface]
        [--boot-interface]
        [--console-interface]
        [--deploy-interface]
        [--inspect-interface]
        [--management-interface]
        [--network-interface]
        [--power-interface]
        [--raid-interface]
        [--rescue-interface]
        [--storage-interface]
        [--vendor-interface]
        [--conductor-group]
        [--automated-clean]
        [--protected]
        [--protected-reason]
        [--retired]
        [--retired-reason]
        [--owner]
        [--lessee]
        [--description]
        <node>

`--instance-uuid```

  Unset instance UUID on this baremetal node

`--name```

  Unset the name of the node

`--resource-class```

  Unset the resource class of the node

`--target-raid-config```

  Unset the target RAID configuration of the node

`--property``<key>`

  Property to unset on this baremetal node (repeat option to unset multiple properties)

`--extra``<key>`

  Extra to unset on this baremetal node (repeat option to unset multiple extras)

`--driver-info``<key>`

  Driver information to unset on this baremetal node (repeat option to unset multiple driver informations)

`--instance-info``<key>`

  Instance information to unset on this baremetal node (repeat option to unset multiple instance informations)

`--chassis-uuid```

  Unset chassis UUID on this baremetal node

`--bios-interface```

  Unset BIOS interface on this baremetal node

`--boot-interface```

  Unset boot interface on this baremetal node

`--console-interface```

  Unset console interface on this baremetal node

`--deploy-interface```

  Unset deploy interface on this baremetal node

`--inspect-interface```

  Unset inspect interface on this baremetal node

`--management-interface```

  Unset management interface on this baremetal node

`--network-interface```

  Unset network interface on this baremetal node

`--power-interface```

  Unset power interface on this baremetal node

`--raid-interface```

  Unset RAID interface on this baremetal node

`--rescue-interface```

  Unset rescue interface on this baremetal node

`--storage-interface```

  Unset storage interface on this baremetal node

`--vendor-interface```

  Unset vendor interface on this baremetal node

`--conductor-group```

  Unset conductor group for this baremetal node (the default group will be used)

`--automated-clean```

  Unset automated clean option on this baremetal node (the value from configuration will be used)

`--protected```

  Unset the protected flag on the node

`--protected-reason```

  Unset the protected reason (gets unset automatically when protected is unset)

`--retired```

  Unset the retired flag on the node

`--retired-reason```

  Unset the retired reason (gets unset automatically when retired is unset)

`--owner```

  Unset the owner field of the node

`--lessee```

  Unset the lessee field of the node

`--description```

  Unset the description field of the node

`node```

  Name or UUID of the node.

This command is provided by the python-ironicclient plugin.

### baremetal node validate

Validate a node’s driver interfaces

    openstack baremetal node validate
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        <node>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--quote``<QUOTE_MODE>`

  when to include quotes, defaults to nonnumeric

`--noindent```

  whether to disable indenting the JSON

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--sort-column` `SORT_COLUMN`

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

`node```

  Name or UUID of the node

This command is provided by the python-ironicclient plugin.

### baremetal node vif attach

Attach VIF to a given node

    openstack baremetal node vif attach
        [--vif-info <key=value>]
        <node>
        <vif-id>

`--vif-info``<key=value>`

  Record arbitrary key/value metadata. Can be specified multiple times. The mandatory ‘id’ parameter cannot be specified as a key.

`node```

  Name or UUID of the node

`vif-id```

  Name or UUID of the VIF to attach to a node.

This command is provided by the python-ironicclient plugin.

### baremetal node vif detach

Detach VIF from a given node

    openstack baremetal node vif detach <node> <vif-id>

`node```

  Name or UUID of the node

`vif-id```

  Name or UUID of the VIF to detach from a node.

This command is provided by the python-ironicclient plugin.

### baremetal node vif list

Show attached VIFs for a node

    openstack baremetal node vif list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        <node>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--quote``<QUOTE_MODE>`

  when to include quotes, defaults to nonnumeric

`--noindent```

  whether to disable indenting the JSON

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--sort-column` `SORT_COLUMN`

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

`node```

  Name or UUID of the node

This command is provided by the python-ironicclient plugin.

## baremetal port

### baremetal port create

Create a new port

    openstack baremetal port create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        --node <uuid>
        [--uuid <uuid>]
        [--extra <key=value>]
        [--local-link-connection <key=value>]
        [-l <key=value>]
        [--pxe-enabled <boolean>]
        [--port-group <uuid>]
        [--physical-network <physical network>]
        [--is-smartnic]
        <address>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--node``<uuid>`

  UUID of the node that this port belongs to.

`--uuid``<uuid>`

  UUID of the port.

`--extra``<key=value>`

  Record arbitrary key/value metadata. Argument can be specified multiple times.

`--local-link-connection``<key=value>`

  Key/value metadata describing Local link connection information. Valid keys are ‘switch_info’, ‘switch_id’, ‘port_id’ and ‘hostname’. The keys ‘switch_id’ and ‘port_id’ are required. In case of a Smart NIC port, the required keys are ‘port_id’ and ‘hostname’. Argument can be specified multiple times.

`-l``<key=value>`

  DEPRECATED. Please use –local-link-connection instead. Key/value metadata describing Local link connection information. Valid keys are ‘switch_info’, ‘switch_id’, and ‘port_id’. The keys ‘switch_id’ and ‘port_id’ are required. Can be specified multiple times.

`--pxe-enabled``<boolean>`

  Indicates whether this Port should be used when PXE booting this Node.

`--port-group``<uuid>`

  UUID of the port group that this port belongs to.

`--physical-network``<physical network>`

  Name of the physical network to which this port is connected.

`--is-smartnic```

  Indicates whether this Port is a Smart NIC port

`address```

  MAC address for this port.

This command is provided by the python-ironicclient plugin.

### baremetal port delete

Delete port(s).

    openstack baremetal port delete <port> [<port> ...]

`port```

  UUID(s) of the port(s) to delete.

This command is provided by the python-ironicclient plugin.

### baremetal port group create

Create a new baremetal port group.

    openstack baremetal port group create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        --node <uuid>
        [--address <mac-address>]
        [--name NAME]
        [--uuid UUID]
        [--extra <key=value>]
        [--mode MODE]
        [--property <key=value>]
        [--support-standalone-ports | --unsupport-standalone-ports]

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--node``<uuid>`

  UUID of the node that this port group belongs to.

`--address``<mac-address>`

  MAC address for this port group.

`--name``<NAME>`

  Name of the port group.

`--uuid``<UUID>`

  UUID of the port group.

`--extra``<key=value>`

  Record arbitrary key/value metadata. Can be specified multiple times.

`--mode``<MODE>`

  Mode of the port group. For possible values, refer to https://www.kernel.org/doc/Documentation/networking/bonding.txt.

`--property``<key=value>`

  Key/value property related to this port group’s configuration. Can be specified multiple times.

`--support-standalone-ports```

  Ports that are members of this port group can be used as stand-alone ports. (default)

`--unsupport-standalone-ports```

  Ports that are members of this port group cannot be used as stand-alone ports.

This command is provided by the python-ironicclient plugin.

### baremetal port group delete

Unregister baremetal port group(s).

    openstack baremetal port group delete <port group> [<port group> ...]

`port` `group`

  Port group(s) to delete (name or UUID).

This command is provided by the python-ironicclient plugin.

### baremetal port group list

List baremetal port groups.

    openstack baremetal port group list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--limit <limit>]
        [--marker <port group>]
        [--sort <key>[:<direction>]]
        [--address <mac-address>]
        [--node <node>]
        [--long | --fields <field> [<field> ...]]

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--quote``<QUOTE_MODE>`

  when to include quotes, defaults to nonnumeric

`--noindent```

  whether to disable indenting the JSON

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--sort-column` `SORT_COLUMN`

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

`--limit``<limit>`

  Maximum number of port groups to return per request, 0 for no limit. Default is the maximum number used by the Baremetal API Service.

`--marker``<port group>`

  Port group UUID (for example, of the last port group in the list from a previous request). Returns the list of port groups after this UUID.

`--sort``<key>[:<direction>]`

  Sort output by specified port group fields and directions (asc or desc) (default: asc). Multiple fields and directions can be specified, separated by comma.

`--address``<mac-address>`

  Only show information for the port group with this MAC address.

`--node``<node>`

  Only list port groups of this node (name or UUID).

`--long```

  Show detailed information about the port groups.

`--fields``<field>`

  One or more port group fields. Only these fields will be fetched from the server. Can not be used when ‘–long’ is specified.

This command is provided by the python-ironicclient plugin.

### baremetal port group set

Set baremetal port group properties.

    openstack baremetal port group set
        [--node <uuid>]
        [--address <mac-address>]
        [--name <name>]
        [--extra <key=value>]
        [--mode MODE]
        [--property <key=value>]
        [--support-standalone-ports | --unsupport-standalone-ports]
        <port
        group>

`--node``<uuid>`

  Update UUID of the node that this port group belongs to.

`--address``<mac-address>`

  MAC address for this port group.

`--name``<name>`

  Name of the port group.

`--extra``<key=value>`

  Extra to set on this baremetal port group (repeat option to set multiple extras).

`--mode``<MODE>`

  Mode of the port group. For possible values, refer to https://www.kernel.org/doc/Documentation/networking/bonding.txt.

`--property``<key=value>`

  Key/value property related to this port group’s configuration (repeat option to set multiple properties).

`--support-standalone-ports```

  Ports that are members of this port group can be used as stand-alone ports.

`--unsupport-standalone-ports```

  Ports that are members of this port group cannot be used as stand-alone ports.

`port` `group`

  Name or UUID of the port group.

This command is provided by the python-ironicclient plugin.

### baremetal port group show

Show baremetal port group details.

    openstack baremetal port group show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--address]
        [--fields <field> [<field> ...]]
        <id>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--address```

  <id> is the MAC address (instead of UUID or name) of the port group.

`--fields``<field>`

  One or more port group fields. Only these fields will be fetched from the server.

`id```

  UUID or name of the port group (or MAC address if –address is specified).

This command is provided by the python-ironicclient plugin.

### baremetal port group unset

Unset baremetal port group properties.

    openstack baremetal port group unset
        [--name]
        [--address]
        [--extra <key>]
        [--property <key>]
        <port
        group>

`--name```

  Unset the name of the port group.

`--address```

  Unset the address of the port group.

`--extra``<key>`

  Extra to unset on this baremetal port group (repeat option to unset multiple extras).

`--property``<key>`

  Property to unset on this baremetal port group (repeat option to unset multiple properties).

`port` `group`

  Name or UUID of the port group.

This command is provided by the python-ironicclient plugin.

### baremetal port list

List baremetal ports.

    openstack baremetal port list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--address <mac-address>]
        [--node <node>]
        [--port-group <port group>]
        [--limit <limit>]
        [--marker <port>]
        [--sort <key>[:<direction>]]
        [--long | --fields <field> [<field> ...]]

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--quote``<QUOTE_MODE>`

  when to include quotes, defaults to nonnumeric

`--noindent```

  whether to disable indenting the JSON

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--sort-column` `SORT_COLUMN`

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

`--address``<mac-address>`

  Only show information for the port with this MAC address.

`--node``<node>`

  Only list ports of this node (name or UUID).

`--port-group``<port group>`

  Only list ports of this port group (name or UUID).

`--limit``<limit>`

  Maximum number of ports to return per request, 0 for no limit. Default is the maximum number used by the Baremetal API Service.

`--marker``<port>`

  Port UUID (for example, of the last port in the list from a previous request). Returns the list of ports after this UUID.

`--sort``<key>[:<direction>]`

  Sort output by specified port fields and directions (asc or desc) (default: asc). Multiple fields and directions can be specified, separated by comma.

`--long```

  Show detailed information about ports.

`--fields``<field>`

  One or more port fields. Only these fields will be fetched from the server. Can not be used when ‘–long’ is specified.

This command is provided by the python-ironicclient plugin.

### baremetal port set

Set baremetal port properties.

    openstack baremetal port set
        [--node <uuid>]
        [--address <address>]
        [--extra <key=value>]
        [--port-group <uuid>]
        [--local-link-connection <key=value>]
        [--pxe-enabled | --pxe-disabled]
        [--physical-network <physical network>]
        [--is-smartnic]
        <port>

`--node``<uuid>`

  Set UUID of the node that this port belongs to

`--address``<address>`

  Set MAC address for this port

`--extra``<key=value>`

  Extra to set on this baremetal port (repeat option to set multiple extras)

`--port-group``<uuid>`

  Set UUID of the port group that this port belongs to.

`--local-link-connection``<key=value>`

  Key/value metadata describing local link connection information. Valid keys are ‘switch_info’, ‘switch_id’, ‘port_id’ and ‘hostname’. The keys ‘switch_id’ and ‘port_id’ are required. In case of a Smart NIC port, the required keys are ‘port_id’ and ‘hostname’. Argument can be specified multiple times.

`--pxe-enabled```

  Indicates that this port should be used when PXE booting this node (default)

`--pxe-disabled```

  Indicates that this port should not be used when PXE booting this node

`--physical-network``<physical network>`

  Set the name of the physical network to which this port is connected.

`--is-smartnic```

  Set port to be Smart NIC port

`port```

  UUID of the port

This command is provided by the python-ironicclient plugin.

### baremetal port show

Show baremetal port details.

    openstack baremetal port show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--address]
        [--fields <field> [<field> ...]]
        <id>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--address```

  <id> is the MAC address (instead of the UUID) of the port.

`--fields``<field>`

  One or more port fields. Only these fields will be fetched from the server.

`id```

  UUID of the port (or MAC address if –address is specified).

This command is provided by the python-ironicclient plugin.

### baremetal port unset

Unset baremetal port properties.

    openstack baremetal port unset
        [--extra <key>]
        [--port-group]
        [--physical-network]
        [--is-smartnic]
        <port>

`--extra``<key>`

  Extra to unset on this baremetal port (repeat option to unset multiple extras)

`--port-group```

  Remove port from the port group

`--physical-network```

  Unset the physical network on this baremetal port.

`--is-smartnic```

  Set Port as not Smart NIC port

`port```

  UUID of the port.

This command is provided by the python-ironicclient plugin.

## baremetal volume

### baremetal volume connector create

Create a new baremetal volume connector.

    openstack baremetal volume connector create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        --node <uuid>
        --type <type>
        --connector-id <connector
        id>
        [--uuid <uuid>]
        [--extra <key=value>]

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--node``<uuid>`

  UUID of the node that this volume connector belongs to.

`--type``<type>`

  Type of the volume connector. Can be ‘iqn’, ‘ip’, ‘mac’, ‘wwnn’, ‘wwpn’, ‘port’, ‘portgroup’.

`--connector-id``<connector id>`

  ID of the volume connector in the specified type. For example, the iSCSI initiator IQN for the node if the type is ‘iqn’.

`--uuid``<uuid>`

  UUID of the volume connector.

`--extra``<key=value>`

  Record arbitrary key/value metadata. Can be specified multiple times.

This command is provided by the python-ironicclient plugin.

### baremetal volume connector delete

Unregister baremetal volume connector(s).

    openstack baremetal volume connector delete
        <volume
        connector>
        [<volume connector> ...]

`volume` `connector`

  UUID(s) of the volume connector(s) to delete.

This command is provided by the python-ironicclient plugin.

### baremetal volume connector list

List baremetal volume connectors.

    openstack baremetal volume connector list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--node <node>]
        [--limit <limit>]
        [--marker <volume connector>]
        [--sort <key>[:<direction>]]
        [--long | --fields <field> [<field> ...]]

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--quote``<QUOTE_MODE>`

  when to include quotes, defaults to nonnumeric

`--noindent```

  whether to disable indenting the JSON

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--sort-column` `SORT_COLUMN`

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

`--node``<node>`

  Only list volume connectors of this node (name or UUID).

`--limit``<limit>`

  Maximum number of volume connectors to return per request, 0 for no limit. Default is the maximum number used by the Baremetal API Service.

`--marker``<volume connector>`

  Volume connector UUID (for example, of the last volume connector in the list from a previous request). Returns the list of volume connectors after this UUID.

`--sort``<key>[:<direction>]`

  Sort output by specified volume connector fields and directions (asc or desc) (default:asc). Multiple fields and directions can be specified, separated by comma.

`--long```

  Show detailed information about volume connectors.

`--fields``<field>`

  One or more volume connector fields. Only these fields will be fetched from the server. Can not be used when ‘–long’ is specified.

This command is provided by the python-ironicclient plugin.

### baremetal volume connector set

Set baremetal volume connector properties.

    openstack baremetal volume connector set
        [--node <uuid>]
        [--type <type>]
        [--connector-id <connector id>]
        [--extra <key=value>]
        <volume
        connector>

`--node``<uuid>`

  UUID of the node that this volume connector belongs to.

`--type``<type>`

  Type of the volume connector. Can be ‘iqn’, ‘ip’, ‘mac’, ‘wwnn’, ‘wwpn’, ‘port’, ‘portgroup’.

`--connector-id``<connector id>`

  ID of the volume connector in the specified type.

`--extra``<key=value>`

  Record arbitrary key/value metadata. Can be specified multiple times.

`volume` `connector`

  UUID of the volume connector.

This command is provided by the python-ironicclient plugin.

### baremetal volume connector show

Show baremetal volume connector details.

    openstack baremetal volume connector show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--fields <field> [<field> ...]]
        <id>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--fields``<field>`

  One or more volume connector fields. Only these fields will be fetched from the server.

`id```

  UUID of the volume connector.

This command is provided by the python-ironicclient plugin.

### baremetal volume connector unset

Unset baremetal volume connector properties.

    openstack baremetal volume connector unset
        [--extra <key>]
        <volume
        connector>

`--extra``<key>`

  Extra to unset (repeat option to unset multiple extras)

`volume` `connector`

  UUID of the volume connector.

This command is provided by the python-ironicclient plugin.

### baremetal volume target create

Create a new baremetal volume target.

    openstack baremetal volume target create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        --node <uuid>
        --type <volume
        type>
        [--property <key=value>]
        --boot-index <boot
        index>
        --volume-id <volume
        id>
        [--uuid <uuid>]
        [--extra <key=value>]

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--node``<uuid>`

  UUID of the node that this volume target belongs to.

`--type``<volume type>`

  Type of the volume target, e.g. ‘iscsi’, ‘fibre_channel’.

`--property``<key=value>`

  Key/value property related to the type of this volume target. Can be specified multiple times.

`--boot-index``<boot index>`

  Boot index of the volume target.

`--volume-id``<volume id>`

  ID of the volume associated with this target.

`--uuid``<uuid>`

  UUID of the volume target.

`--extra``<key=value>`

  Record arbitrary key/value metadata. Can be specified multiple times.

This command is provided by the python-ironicclient plugin.

### baremetal volume target delete

Unregister baremetal volume target(s).

    openstack baremetal volume target delete
        <volume
        target>
        [<volume target> ...]

`volume` `target`

  UUID(s) of the volume target(s) to delete.

This command is provided by the python-ironicclient plugin.

### baremetal volume target list

List baremetal volume targets.

    openstack baremetal volume target list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--node <node>]
        [--limit <limit>]
        [--marker <volume target>]
        [--sort <key>[:<direction>]]
        [--long | --fields <field> [<field> ...]]

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--quote``<QUOTE_MODE>`

  when to include quotes, defaults to nonnumeric

`--noindent```

  whether to disable indenting the JSON

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--sort-column` `SORT_COLUMN`

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

`--node``<node>`

  Only list volume targets of this node (name or UUID).

`--limit``<limit>`

  Maximum number of volume targets to return per request, 0 for no limit. Default is the maximum number used by the Baremetal API Service.

`--marker``<volume target>`

  Volume target UUID (for example, of the last volume target in the list from a previous request). Returns the list of volume targets after this UUID.

`--sort``<key>[:<direction>]`

  Sort output by specified volume target fields and directions (asc or desc) (default:asc). Multiple fields and directions can be specified, separated by comma.

`--long```

  Show detailed information about volume targets.

`--fields``<field>`

  One or more volume target fields. Only these fields will be fetched from the server. Can not be used when ‘–long’ is specified.

This command is provided by the python-ironicclient plugin.

### baremetal volume target set

Set baremetal volume target properties.

    openstack baremetal volume target set
        [--node <uuid>]
        [--type <volume type>]
        [--property <key=value>]
        [--boot-index <boot index>]
        [--volume-id <volume id>]
        [--extra <key=value>]
        <volume
        target>

`--node``<uuid>`

  UUID of the node that this volume target belongs to.

`--type``<volume type>`

  Type of the volume target, e.g. ‘iscsi’, ‘fibre_channel’.

`--property``<key=value>`

  Key/value property related to the type of this volume target. Can be specified multiple times.

`--boot-index``<boot index>`

  Boot index of the volume target.

`--volume-id``<volume id>`

  ID of the volume associated with this target.

`--extra``<key=value>`

  Record arbitrary key/value metadata. Can be specified multiple times.

`volume` `target`

  UUID of the volume target.

This command is provided by the python-ironicclient plugin.

### baremetal volume target show

Show baremetal volume target details.

    openstack baremetal volume target show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--fields <field> [<field> ...]]
        <id>

`-f``<FORMATTER>``,` `--format``<FORMATTER>`

  the output format, defaults to table

`-c` `COLUMN``,` `--column` `COLUMN`

  specify the column(s) to include, can be repeated to show multiple columns

`--noindent```

  whether to disable indenting the JSON

`--prefix``<PREFIX>`

  add a prefix to all variable names

`--max-width``<integer>`

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

`--fit-width```

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

`--print-empty```

  Print empty table if there is no data to show.

`--fields``<field>`

  One or more volume target fields. Only these fields will be fetched from the server.

`id```

  UUID of the volume target.

This command is provided by the python-ironicclient plugin.

### baremetal volume target unset

Unset baremetal volume target properties.

    openstack baremetal volume target unset
        [--extra <key>]
        [--property <key>]
        <volume
        target>

`--extra``<key>`

  Extra to unset (repeat option to unset multiple extras)

`--property``<key>`

  Property to unset on this baremetal volume target (repeat option to unset multiple properties).

`volume` `target`

  UUID of the volume target.

This command is provided by the python-ironicclient plugin.

this page last updated: 2020-04-10 14:03:55

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug questions?